Bug 667103 - crash
Summary: crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 14
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 673072
TreeView+ depends on / blocked
 
Reported: 2011-01-04 13:11 UTC by Jan Kratochvil
Modified: 2011-05-23 13:29 UTC (History)
2 users (show)

Fixed In Version: sudo-1.7.4p5-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 673072 (view as bug list)
Environment:
Last Closed: 2011-01-18 21:40:05 UTC
Type: ---


Attachments (Terms of Use)
proposed patch (579 bytes, patch)
2011-01-04 13:59 UTC, Daniel Kopeček
no flags Details | Diff
upstream patch (668 bytes, patch)
2011-01-05 13:41 UTC, Daniel Kopeček
no flags Details | Diff

Description Jan Kratochvil 2011-01-04 13:11:08 UTC
Description of problem:
Reproducible crash.

Version-Release number of selected component (if applicable):
sudo-1.7.4p4-4.fc14.x86_64
glibc-2.12.90-21.x86_64
kernel-2.6.35.10-74.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
root# echo "lace ALL = NOPASSWD: ALL" >/etc/sudoers.d/foo
user$ sudo -g root true
  
Actual results:
kernel: [549825.729648] sudo[25867]: segfault at 0 ip 00007f267d27a27b sp 00007fff697bae48 error 4 in sudo[7f267d25d000+30000]

Expected results:
no crash

Additional info:
no more info as suid program does not dump core.

Comment 1 Jan Kratochvil 2011-01-04 13:11:57 UTC
root# echo "user ALL = NOPASSWD: ALL" >/etc/sudoers.d/foo
user$ sudo -g root true

typo user vs. lace

Comment 3 Daniel Kopeček 2011-01-04 13:59:48 UTC
Created attachment 471665 [details]
proposed patch

Comment 4 Daniel Kopeček 2011-01-04 14:11:38 UTC
Thread on sudo-workers: 
http://www.sudo.ws/pipermail/sudo-workers/2011-January/000648.html

Comment 5 Daniel Kopeček 2011-01-05 13:41:27 UTC
Created attachment 471865 [details]
upstream patch

Comment 6 Fedora Update System 2011-01-17 10:46:34 UTC
sudo-1.7.4p5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sudo-1.7.4p5-1.fc14

Comment 7 Fedora Update System 2011-01-17 20:55:42 UTC
sudo-1.7.4p5-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sudo'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sudo-1.7.4p5-1.fc14

Comment 8 Fedora Update System 2011-01-18 21:39:50 UTC
sudo-1.7.4p5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.